#(eatdirt): crazy change upstream, api numbers removed in lib name and
#libtool release numbering reset to 0

%define         major           0
%define         libname         %mklibname mypaint %{major}

%define         geglmajor       0
%define         libname_gegl    %mklibname mypaint-gegl %{geglmajor}

%define         libdevelname    %mklibname -d mypaint

%define         gmajor          1.6
%define         girname         %mklibname mypaint-gir %{gmajor}
%define         girname_gegl    %mklibname mypaintgegl-gir %{gmajor}

Name:           libmypaint
Version:        1.6.1
Release:        %mkrel 1
Summary:        System libraries based on Mypaint
Group:          System/Libraries
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/libmypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(gegl-0.4)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
System libraries based on Mypaint.


%package -n %{name}-i18n
Summary:        Internationalization and locale data for libmypaint
Group:          System/Libraries
BuildArch:      noarch

%description -n %{name}-i18n
Internationalization and locale data for libmypaint.


%package -n %{libname}
Summary:        System libraries based on Mypaint
Group:          System/Libraries

%description -n %{libname}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%package -n %{libname_gegl}
Summary:        System libraries based on Mypaint
Group:          System/Libraries

%description -n %{libname_gegl}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%package -n %{girname}
Summary:        GObject Introspection interface description for MyPaint
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for MyPaint.

%package -n %{girname_gegl}
Summary:        GObject Introspection interface description for MyPaintGegl
Group:          System/Libraries
Requires:       %{libname_gegl} = %{version}-%{release}

%description -n %{girname_gegl}
GObject Introspection interface description for MyPaintGegl.

%package -n %{libdevelname}
Summary:        Development files for libmypaint
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_gegl} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Requires:       %{girname_gegl} = %{version}-%{release}

%description -n %{libdevelname}
Development files for libmypaint.


%prep
%autosetup -p1


%build
autoreconf -vfi
%configure2_5x --enable-gegl --enable-openmp
%make_build


%install
%make_install

%find_lang %{name} --all-name
find %{buildroot}%{_libdir} -name '*.la' -delete

%files -n %{name}-i18n -f %{name}.lang


%files -n %{libname}
%doc README.md
%{_libdir}/libmypaint.so.%{major}{,.*}

%files -n %{libname_gegl}
%doc README.md
%{_libdir}/libmypaint-gegl.so.%{geglmajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MyPaint-%{gmajor}.typelib

%files -n %{girname_gegl}
%{_libdir}/girepository-1.0/MyPaintGegl-%{gmajor}.typelib

%files -n %{libdevelname}
%{_includedir}/libmypaint-gegl/
%{_includedir}/libmypaint/
%{_libdir}/libmypaint.so
%{_libdir}/libmypaint-gegl.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MyPaint-%{gmajor}.gir
%{_datadir}/gir-1.0/MyPaintGegl-%{gmajor}.gir


%changelog
* Wed Jan 06 2021 akien <akien> 1.6.1-1.mga7
+ Revision: 1669253
- Backport for mypaint 2.0

* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.6.1-4.mga8
+ Revision: 1650340
- rebuild for json-c

* Sun Jul 12 2020 wally <wally> 1.6.1-3.mga8
+ Revision: 1605672
- drop explicit obsoletes added in r1605557
- drop old and unneeded obsoletes and conflicts

* Sun Jul 12 2020 eatdirt <eatdirt> 1.6.1-2.mga8
+ Revision: 1605557
- Explicitly obsoletes previous gir libs

* Sat Jul 11 2020 eatdirt <eatdirt> 1.6.1-1.mga8
+ Revision: 1604789
- Upgrade to version 1.6.1

* Tue Mar 17 2020 eatdirt <eatdirt> 1.5.1-1.mga8
+ Revision: 1557577
- Upgrade to version 1.5.1

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-10.mga8
+ Revision: 1530417
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Aug 28 2019 daviddavid <daviddavid> 1.3.0-9.mga8
+ Revision: 1434872
- add patch to fix build with gegl >= 0.4.14

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-8.mga7
+ Revision: 1299025
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 1.3.0-7.mga7
+ Revision: 1245365
- rebuild for new json-c 0.13.1

* Sun May 20 2018 kekepower <kekepower> 1.3.0-6.mga7
+ Revision: 1230860
+ rebuild (emptylog)

* Sun May 20 2018 kekepower <kekepower> 1.3.0-5.mga7
+ Revision: 1230826
- Rebuild for new gegl

* Tue May 01 2018 tv <tv> 1.3.0-4.mga7
+ Revision: 1224321
- fix build with gegl-0.4

* Sun Mar 12 2017 wally <wally> 1.3.0-3.mga6
+ Revision: 1092125
- obsolete old lib after split out

* Sun Mar 12 2017 wally <wally> 1.3.0-2.mga6
+ Revision: 1092107
- split out libs with different api
- split out gi typelibs

* Sat Mar 11 2017 eatdirt <eatdirt> 1.3.0-1.mga6
+ Revision: 1092074
- imported package libmypaint

